CppUnit project page | FAQ

Public Member Functions | List of all members
Functor Class Referenceabstract

`#include <Protector.h>`

Inheritance diagram for Functor:
[legend]

## Public Member Functions
virtual | ~Functor ()
virtual bool | operator() () const =0

## Constructor & Destructor Documentation

## ◆ ~Functor()

CPPUNIT_NS_BEGIN Functor::~Functor | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ operator()()

virtual bool Functor::operator() | ( |  | ) | const
| pure virtual

Implemented in TestCaseMethodFunctor, and ProtectorChain::ProtectFunctor.

The documentation for this class was generated from the following files:

- Protector.h
- Protector.cpp

| Send comments to: CppUnit Developers